"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = __importStar(require("path"));
const basicHost_1 = __importDefault(require("./basicHost"));
class BitBucket extends basicHost_1.default {
    constructor() {
        super(...arguments);
        this.separateFolder = "src";
    }
    assemble(info) {
        const link = this.assembleLink(info);
        let fileName = null;
        if (info.relativefilePath) {
            fileName = path.basename(info.relativefilePath);
        }
        if (info.section && info.section.startLine && info.section.endLine && info.section.startLine !== info.section.endLine && fileName) {
            return `${link}#${fileName}-${info.section.startLine}:${info.section.endLine}`;
        }
        else if (info.section && info.section.startLine && fileName) {
            return `${link}#${fileName}-${info.section.startLine}`;
        }
        else {
            return link;
        }
    }
}
exports.default = BitBucket;
//# sourceMappingURL=bitbucket.js.map