"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const basicHost_1 = __importDefault(require("./basicHost"));
class GitLab extends basicHost_1.default {
    constructor() {
        super(...arguments);
        this.separateFolder = "blob";
    }
    assemble(info) {
        const link = this.assembleLink(info);
        if (info.section && info.section.startLine && info.section.endLine && info.section.startLine !== info.section.endLine) {
            return `${link}#L${info.section.startLine}-${info.section.endLine}`;
        }
        else if (info.section && info.section.startLine) {
            return `${link}#L${info.section.startLine}`;
        }
        else {
            return link;
        }
    }
}
exports.default = GitLab;
//# sourceMappingURL=gitlab.js.map