"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const github_1 = __importDefault(require("./github"));
const gitlab_1 = __importDefault(require("./gitlab"));
const bitbucket_1 = __importDefault(require("./bitbucket"));
const vsts_1 = __importDefault(require("./vsts"));
const devops_1 = __importDefault(require("./devops"));
class HostBuilder {
    static create(info) {
        const url = info.remoteUrl;
        if (url.indexOf("gitlab") >= 0) {
            return new gitlab_1.default();
        }
        else if (url.indexOf("bitbucket") >= 0) {
            return new bitbucket_1.default();
        }
        else if (vsts_1.default.match(url)) {
            return new vsts_1.default();
        }
        else if (devops_1.default.match(url)) {
            return new devops_1.default();
        }
        else {
            return new github_1.default();
        }
    }
}
exports.default = HostBuilder;
//# sourceMappingURL=hostBuilder.js.map